# ListExecutions Infrastructure

Endpoint for listing executions for a specific infrastructure.

Endpoint: GET /api/infrastructures/{id}/executions
Version: 1.0
Security: x-api-key

## Query parameters:

  - `offset` (integer)
    Offset for pagination

  - `limit` (integer)
    Limit for pagination

  - `desc` (boolean)
    Order by descending order

  - `orgIdentifier` (string)
    Org is the organization identifier.

  - `projectIdentifier` (string)
    Project is the project identifier.

## Path parameters:

  - `id` (string, required)
    ID of the infrastructure

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.

## Response 200 fields (application/json):

  - `executions` (array)

  - `executions.approvals` (array)

  - `executions.approvals.instanceId` (string, required)

  - `executions.approvals.pipelineApprovals` (array, required)

  - `executions.approvals.pipelineApprovals.approvalID` (string, required)

  - `executions.approvals.pipelineApprovals.deadline` (string)

  - `executions.approvals.pipelineApprovals.message` (string, required)

  - `executions.approvals.pipelineApprovals.orgID` (string, required)

  - `executions.approvals.pipelineApprovals.pipelineExecutionId` (string, required)

  - `executions.approvals.pipelineApprovals.pipelineId` (string)

  - `executions.approvals.pipelineApprovals.pipelineUrl` (string)

  - `executions.approvals.pipelineApprovals.projectID` (string, required)

  - `executions.completedInstanceIds` (array, required)
    Instances fully updated by the execution

  - `executions.events` (array)

  - `executions.events.createdAt` (string, required)

  - `executions.events.event` (object, required)

  - `executions.events.event.progress` (string, required)
    Enum: "unknown", "pending", "processing", "done", "failed", "aborted", "deleted", "replaced"

  - `executions.events.message` (string)
    Message associated with the event

  - `executions.id` (string, required)

  - `executions.infrastructureId` (string, required)

  - `executions.instanceIds` (array, required)
    Instances updated by the execution

  - `executions.message` (string)
    Message associated with the execution

  - `executions.outputs` (object)
    Outputs of the infrastructure execution

  - `executions.pipelineUrl` (string)

  - `executions.progress` (object, required)

  - `executions.spec` (object, required)

  - `executions.spec.identifier` (string, required)

  - `executions.spec.instances` (array)

  - `executions.spec.instances.dependencies` (object)

  - `executions.spec.instances.identifier` (string, required)

  - `executions.spec.instances.implementation` (object)

  - `executions.spec.instances.implementation.backend` (string, required)

  - `executions.spec.instances.implementation.steps` (object, required)

  - `executions.spec.instances.implementation.steps.apply` (object, required)

  - `executions.spec.instances.implementation.steps.create` (object)

  - `executions.spec.instances.implementation.steps.delete` (object)

  - `executions.spec.instances.implementation.steps.destroy` (object, required)

  - `executions.spec.instances.implementation.steps.pause` (object)

  - `executions.spec.instances.implementation.steps.resume` (object)

  - `executions.spec.instances.implementation.values` (object)

  - `executions.spec.instances.metadata` (object)

  - `executions.spec.instances.outputs` (object)

  - `executions.spec.instances.targetState` (object)

  - `executions.spec.instances.targetState.state` (string, required)
    Enum: "unknown", "inactive", "instantiated", "running", "paused"

  - `executions.spec.metadata` (object)

  - `executions.spec.outputs` (object)

  - `executions.spec.targetState` (object, required)

  - `executions.specRevision` (integer, required)

  - `executions.startedAt` (string, required)

  - `executions.stoppedAt` (string)

  - `executions.targetState` (object, required)

  - `total` (integer)

## Response 400 fields (application/json):

  - `code` (string)

  - `details` (object)

  - `message` (string, required)

  - `name` (string, required)


